---
features:
  primary:
  - name: "Instance and group description templates for issues and merge requests"
    available_in: [premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/project/description_templates.html#set-group-level-description-templates'
    image_url: '/images/13_11/group_level_description_templates_for_issues_epics_and_merge_requests.png'
    reporter: gweaver
    stage: plan
    categories:
      - Issue Tracking
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/7749'
    description: |
      Instead of manually updating the same [description template](https://docs.gitlab.com/ee/user/project/description_templates.html) across dozens of projects, you can now centrally manage and source your templates from a single repository. We've extended the [instance](https://docs.gitlab.com/ee/user/admin_area/settings/instance_template_repository.html) and [group file templates](https://docs.gitlab.com/ee/user/group/#group-file-templates) to include issue and merge request description templates. When you create a `.gitlab` directory in your file templates repository, description templates will be available to all projects that belong to the instance or group. Each group or subgroup can also set an additional template repository, which will enable templates from multiple file template repositories to cascade down to your subgroups and projects.
